aboutsummaryrefslogtreecommitdiffstats
path: root/testing/xkcdpass/APKBUILD
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2014-09-08 19:05:23 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2014-09-29 06:48:09 +0000
commit1b8bb8f920f6e73540e654691c770cd265745300 (patch)
tree1c5502b64fc806521e13a6d46829dc4f0a10df1b /testing/xkcdpass/APKBUILD
parenta977bec2e4c27bf3afa50a83ffbc333f29caf42b (diff)
downloadaports-1b8bb8f920f6e73540e654691c770cd265745300.tar.gz
aports-1b8bb8f920f6e73540e654691c770cd265745300.tar.bz2
aports-1b8bb8f920f6e73540e654691c770cd265745300.tar.xz
testing/xkcdpass: new aport
A simple creator for passwords https://github.com/redacted/XKCD-password-generator
Diffstat (limited to 'testing/xkcdpass/APKBUILD')
-rw-r--r--testing/xkcdpass/APKBUILD40
1 files changed, 40 insertions, 0 deletions
diff --git a/testing/xkcdpass/APKBUILD b/testing/xkcdpass/APKBUILD
new file mode 100644
index 0000000000..496b77ba5f
--- /dev/null
+++ b/testing/xkcdpass/APKBUILD
@@ -0,0 +1,40 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=xkcdpass
+pkgver=1.2.0
+pkgrel=0
+pkgdesc="A simple creator for passwords"
+url="https://pypi.python.org/pypi/xkcdpass"
+arch="noarch"
+license="BSD"
+depends="python"
+depends_dev=""
+makedepends="python-dev py-setuptools"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/${pkgname:0:1}/$pkgname/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="d8afcdf975e49c455f525579528f192b xkcdpass-1.2.0.tar.gz"
+sha256sums="0e0a5cda36bcf25f0c9a64cf6fbac75be2e20bbde6ef64b54d14c3fa70e478d3 xkcdpass-1.2.0.tar.gz"
+sha512sums="f7a54e8c08f9d082db69a2aaa1ca33e800d13fbc8cc30ca7a3f7d20683738c3146d6b4f3713d48e435eb154a8af8996144bf627c705a8aed40e06bc08953b3ca xkcdpass-1.2.0.tar.gz"